<div class="container">
    <!-- Page Content goes here -->
    <div class="row">
        <div *ngFor="let pokemon of pokemonList">
            <div class="col m4">
                <div (click)="gotoPokemon(pokemon.id)" class="card horizontal" appBorderCard="#fc0341">
                    <div class="card-image">
                        <img [src]="pokemon.picture" alt="" [title]="pokemon.name">
                    </div>
                    <div class="card-action">
                        <p>{{ pokemon.name }}</p>
                        <p><small>{{ pokemon.created | date: 'dd-MMM-yyyy' }}</small></p>
                        <span 
                            *ngFor="let type of pokemon.types"
                            class="{{ type | pokemonTypeColor }}">
                            {{ type }}
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>